%define	major 1
%define libname	%mklibname tlen %major
%define develname	%mklibname -d tlen 
%define		_snapshot	20060309

Summary:	Tlen.pl client library
Name:		libtlen
Version:	1
Release:	%mkrel 6.%{_snapshot}.7
License:	GPLv2+
Group:		System/Libraries
Source0:	http://dl.sourceforge.net/sourceforge/tleenx/%{name}-%{_snapshot}.tar.gz
URL:		http://libtlen.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
libtlen is a library providing an API for client programs which want
to use Tlen.pl.

%package -n %libname
Summary:	Development library for libtlen
Group:		Development/C
Obsoletes:	%{name} < %{version}-%{release}

%description -n %libname
libtlen is a library providing an API for client programs which want
to use Tlen.pl.

%package -n %develname
Summary:	Development library for libtlen
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libtlen-devel = %{version}-%{release}

%description -n %develname
This package is required to develop programs that use Tlen.pl
protocol.

%prep
%setup -q -n %{name}-%{_snapshot}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(644,root,root,755)
%doc docs/AUTHORS docs/TODO
%attr(755,root,root) %{_libdir}/libtlen.so.%{major}*

%files -n %develname
%defattr(644,root,root,755)
%doc docs/*.html
%{_includedir}/*
%{_libdir}/libtlen.so
%{_libdir}/libtlen.a


%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1-6.20060309.7mdv2010.0
+ Revision: 429840
- rebuild

* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 1-6.20060309.6mdv2009.0
+ Revision: 277932
- obsoleted wrong old libname

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1-6.20060309.5mdv2009.0
+ Revision: 268037
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Apr 25 2008 Funda Wang <fundawang@mandriva.org> 1-0.20060309.5mdv2009.0
+ Revision: 197475
- fix requires

* Mon Mar 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 1-0.20060309.4mdv2008.1
+ Revision: 183612
- do commit the final bits of libification

* Mon Mar 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 1-0.20060309.3mdv2008.1
+ Revision: 183504
- fix description
- libify

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1-0.20060309.2mdv2008.1
+ Revision: 182194
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1-0.20060309.1mdv2008.1
+ Revision: 129151
- kill re-definition of %%buildroot on Pixel's request


* Thu Dec 07 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1-0.20060309.1mdv2007.0
+ Revision: 92086
- Import libtlen

